DST ends in Bangladesh

Bug #502110 reported by Russell John on 2010-01-01
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Martin Pitt
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
High
Martin Pitt

Bug Description

Binary package hint: tzdata

DST ended in Bangladesh on 31st December 2009, clocks retreated to 23:00 at midnight (back to GMT +6 from GMT +7).

Please update the tzdata package to reflect this change.

News sources:

BDnews24: http://bdnews24.com/details.php?id=149972&cid=2
The Daily Star: http://www.thedailystar.net/newDesign/news-details.php?nid=119838

Changed in tzdata (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

This is fixed in 2009u.

Changed in tzdata (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in tzdata (Ubuntu Dapper):
status: New → In Progress
Changed in tzdata (Ubuntu Jaunty):
status: New → In Progress
Changed in tzdata (Ubuntu Karmic):
status: New → In Progress
Changed in tzdata (Ubuntu Intrepid):
status: New → In Progress
Changed in tzdata (Ubuntu Hardy):
status: New → In Progress
Changed in tzdata (Ubuntu Lucid):
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Changes from 2009s to 2009u:

 - (Asia/Dhaka) Bangladesh DST change (effective from 2010-01-01)

(Rest is comment updates)

Martin Pitt (pitti) wrote :

Synced 2009u-1 to lucid.

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Lenin (doctortomorrow) wrote :

Thanks a lot for delayed yet Quick action :)

Russell John (russell.john) wrote :

Installed 2009u-1 on Karmic, worked fine.

$ date -d now
Sun Jan 3 01:03:05 BDT 2010
$ date -d -1week
Sun Dec 27 02:03:10 BDST 2009
$ date -d 1week
Sun Jan 10 01:03:26 BDT 2010

Please release the patch for Karmic and earlier versions.

Lenin [2010-01-02 18:20 -0000]:
> Thanks a lot for delayed yet Quick action :)

Sorry, this hit in the middle of the Christmas/New Year holidays..

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Jaunty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Intrepid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: In Progress → Fix Committed

Thanks a bunch, Pitt.

Russell John (russell.john) wrote :

Tested on a different machine running Karmic, 2009u from karmic-proposed works fine.

The new DST rule (starting March 31 and ending October 31) is also working.

Thanks a lot Martin, hoping it will be pushed to -updates very soon.

Martin Pitt (pitti) wrote :

I proofread "zdump -v -c 2011 Asia/Dhaka" and checked

$ TZ=Asia/Dhaka date
So 3 Jan 15:13:44 BDT 2010
$ TZ=Asia/Dhaka date -d 'last month'
Do 3 Dez 16:13:51 BDST 2009

for all releases with the packages from -proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009u-0ubuntu0.9.10

---------------
tzdata (2009u-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2009u:
    - Bangladesh DST change (effective from 2010-01-01) (LP: #502110)
  * Drop bdst-workaround.diff, not needed any more.
 -- Martin Pitt <email address hidden> Sat, 02 Jan 2010 20:42:40 +0100

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009u~repack-0ubuntu9.04

---------------
tzdata (2009u~repack-0ubuntu9.04) jaunty-proposed; urgency=low

  * New upstream release 2009u:
    - Bangladesh DST change (effective from 2010-01-01) (LP: #502110)
  * Drop bdst-workaround.diff, not needed any more.
 -- Martin Pitt <email address hidden> Sat, 02 Jan 2010 20:53:53 +0100

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009u~repack-0ubuntu0.8.10

---------------
tzdata (2009u~repack-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release 2009u:
    - Bangladesh DST change (effective from 2010-01-01) (LP: #502110)
  * Drop bdst-workaround.diff, not needed any more.
 -- Martin Pitt <email address hidden> Sat, 02 Jan 2010 20:56:46 +0100

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2009u~repack-0ubuntu0.8.04

---------------
tzdata (2009u~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2009u:
    - Bangladesh DST change (effective from 2010-01-01) (LP: #502110)
  * Drop bdst-workaround.diff, not needed any more.
 -- Martin Pitt <email address hidden> Sat, 02 Jan 2010 21:01:10 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

dapper/langpack-locales copied to -updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers